### Method

# GUsb Context find_by_vid_pid

since: 0.2.2

#### Declaration

    GUsbDevice*
    g_usb_context_find_by_vid_pid (
      GUsbContext* self,
      guint16 vid,
      guint16 pid,
      GError** error
    )

#### Description

Finds a device based on its bus and address values.

Available since: 0.2.2

#### Parameters

`vid`

  Type: `guint16`

  A vendor ID.

`pid`

  Type: `guint16`

  A product ID.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GUsbDevice`

A new `GUsbDevice`, or `NULL` if not found.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.